Imports System.Globalization
Imports System.IO

''' <summary> 
'''  Zeigt die Auswirkungen der TimePickerColumn.Format-Property auf die 
'''  Darstellung 
''' </summary>
Public Class frmDateTimePickerColumn

    Public Sub New()
        InitializeComponent()
        ' Designer-generierten Code nachbessern
        ValueGridColumn.AllowNull = True
    End Sub

    Private Sub btApply_Click(ByVal sender As Object, _
        ByVal e As EventArgs) Handles btApply.Click

        Dim newFormat As String = Me.FormatTextBox.Text
        Dim col As Integer = ValueGridColumn.Index

        ' newFormat auf die Styles aller Zellen der Column anwenden
        For row As Integer = 0 To Me.DateTimesDataGridView.RowCount - 1
            Me.DateTimesDataGridView(col, row).Style.Format = newFormat
        Next

        ' Die Vorlage auf das CellTemplate anwenden, aus der das DGV die Zellen 
        '  hinzukommender Rows generiert - wirkt sich auch aufs EditingControl
        '  aus
        Me.ValueGridColumn.CellTemplate.Style.Format = newFormat
        Me.Text = String.Format("aktuelles Format = ""{0}""", newFormat)
    End Sub

    Private Sub btShortFormats_Click(ByVal sender As Object, _
        ByVal e As EventArgs) Handles btShortFormats.Click

        Call (New frmListShortFormat()).Show(Me)
    End Sub
End Class
